# Uses of Class
org.apache.sysds.hops.codegen.cplan.CNodeTpl

Packages that use CNodeTpl
Package
Description
org.apache.sysds.hops.codegen.cplan
org.apache.sysds.hops.codegen.template
org.apache.sysds.utils

## Uses of CNodeTpl in org.apache.sysds.hops.codegen.cplan

Subclasses of CNodeTpl in org.apache.sysds.hops.codegen.cplan
Modifier and Type
Class
Description
`class`
`CNodeCell`
`class`
`CNodeMultiAgg`
`class`
`CNodeOuterProduct`
`class`
`CNodeRow`
Methods in org.apache.sysds.hops.codegen.cplan that return CNodeTpl
Modifier and Type
Method
Description
`CNodeTpl`
CNodeCell.`clone()`
`CNodeTpl`
CNodeMultiAgg.`clone()`
`CNodeTpl`
CNodeOuterProduct.`clone()`
`CNodeTpl`
CNodeRow.`clone()`
`abstract CNodeTpl`
CNodeTpl.`clone()`

## Uses of CNodeTpl in org.apache.sysds.hops.codegen.template

Methods in org.apache.sysds.hops.codegen.template that return CNodeTpl
Modifier and Type
Method
Description
`CNodeTpl`
CPlanCSERewriter.`eliminateCommonSubexpressions(CNodeTpl tpl)`
`CNodeTpl`
CPlanOpRewriter.`simplifyCPlan(CNodeTpl tpl)`
Methods in org.apache.sysds.hops.codegen.template that return types with arguments of type CNodeTpl
Modifier and Type
Method
Description
`abstract Pair<Hop[],CNodeTpl>`
TemplateBase.`constructCplan(Hop hop, CPlanMemoTable memo, boolean compileLiterals)`
Constructs a single cplan rooted at the given hop, according to the plan given in the memo structure for this particular hop and its recursive inputs.
`Pair<Hop[],CNodeTpl>`
TemplateCell.`constructCplan(Hop hop, CPlanMemoTable memo, boolean compileLiterals)`
`Pair<Hop[],CNodeTpl>`
TemplateMultiAgg.`constructCplan(Hop hop, CPlanMemoTable memo, boolean compileLiterals)`
`Pair<Hop[],CNodeTpl>`
TemplateOuterProduct.`constructCplan(Hop hop, CPlanMemoTable memo, boolean compileLiterals)`
`Pair<Hop[],CNodeTpl>`
TemplateRow.`constructCplan(Hop hop, CPlanMemoTable memo, boolean compileLiterals)`
Methods in org.apache.sysds.hops.codegen.template with parameters of type CNodeTpl
Modifier and Type
Method
Description
`static boolean`
TemplateUtils.`containsFusedRowVecAgg(CNodeTpl tpl)`
`CNodeTpl`
CPlanCSERewriter.`eliminateCommonSubexpressions(CNodeTpl tpl)`
`static boolean`
TemplateUtils.`hasNoOperation(CNodeTpl tpl)`
`static boolean`
TemplateUtils.`hasSingleOperation(CNodeTpl tpl)`
`CNodeTpl`
CPlanOpRewriter.`simplifyCPlan(CNodeTpl tpl)`

## Uses of CNodeTpl in org.apache.sysds.utils

Methods in org.apache.sysds.utils with parameters of type CNodeTpl
Modifier and Type
Method
Description
`static String`
Explain.`explainCPlan(CNodeTpl cplan)`